Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser
Enum EConstraintType

    java.lang.Object
      java.lang.Enum<EConstraintType>
          gudusoft.gsqlparser.EConstraintType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EConstraintType>

    public enum EConstraintType

extends java.lang.Enum<EConstraintType>

Enum Constant Summary
`check`
`default_value`
`exclude`
`fake_auto_increment`
`fake_collate`
`fake_comment`
`fake_db2`
`fake_identity`
`fake_null` it's a fake constraint, used only in yacc rule file, should be removed during parsing
`fake_rowguidcol`
`foreign_key`
`index`
`key`
`notnull`
`primary_key`
`reference`
`unique`

Method Summary
`static EConstraintType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EConstraintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### notnull

    public static final EConstraintType notnull

### unique

    public static final EConstraintType unique

### primary_key

    public static final EConstraintType primary_key

### foreign_key

    public static final EConstraintType foreign_key

### check

    public static final EConstraintType check

### reference

    public static final EConstraintType reference

### default_value

    public static final EConstraintType default_value

### index

    public static final EConstraintType index

### key

    public static final EConstraintType key

### exclude

    public static final EConstraintType exclude

### fake_null

    public static final EConstraintType fake_null

  it's a fake constraint, used only in yacc rule file, should be removed during parsing

### fake_collate

    public static final EConstraintType fake_collate

### fake_identity

    public static final EConstraintType fake_identity

### fake_rowguidcol

    public static final EConstraintType fake_rowguidcol

### fake_auto_increment

    public static final EConstraintType fake_auto_increment

### fake_comment

    public static final EConstraintType fake_comment

### fake_db2

    public static final EConstraintType fake_db2

Method Detail

### values

    public static final EConstraintType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EConstraintType c : EConstraintType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EConstraintType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD